[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: One config issue solved, only to trip over another.

From: Mike Gran
Subject: Re: One config issue solved, only to trip over another.
Date: Mon, 28 Feb 2011 10:43:17 -0800 (PST)

> From:Bruce Korb <address@hidden>
> I was trying to build Guile 2.0, but I stubbed my toe on
> "Oh, you haven't installed libunistring".  So, I found one
> and installed  it:

> checking for LIBFFI... configure: error: Package requirements (libffi) were 
> not 
> met:

Really these checks should be at the top of the configure script.
On Cygwin where it takes about 10 minutes to do the configure,
it is a bit frustrating that these likely-to-fail checks are last.

Also, is the libunistring dependency still necessary, since
Guile's moved to its own iconv-based conversion?  If there are
only a few libunistring functions left, maybe we should try to
get rid of them or use gnulib for the rest.

> No package 'libffi' found

On Fedora at least, libffi's been packaged for a long time.  I think
it is widely available generally as a pre-built package.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]